Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Values/RestContent.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Server\Values;
8
9 use eZ\Publish\API\Repository\Values\Content\ContentInfo;
10 use eZ\Publish\API\Repository\Values\Content\Content;
11 use eZ\Publish\API\Repository\Values\ContentType\ContentType;
12 use eZ\Publish\API\Repository\Values\Content\Location;
13 use eZ\Publish\Core\REST\Common\Value as RestValue;
14
20 class RestContent extends RestValue
21 {
23 public $contentInfo;
24
26 public $mainLocation;
27
29 public $currentVersion;
30
32 public $contentType;
33
35 public $relations;
36
42 public $path;
43
54 public function __construct(
55 ContentInfo $contentInfo,
56 Location $mainLocation = null,
57 Content $currentVersion = null,
58 ContentType $contentType = null,
59 array $relations = null,
60 $path = null
61 ) {
62 $this->contentInfo = $contentInfo;
63 $this->mainLocation = $mainLocation;
64 $this->currentVersion = $currentVersion;
65 $this->contentType = $contentType;
66 $this->relations = $relations;
67 $this->path = $path;
68 }
69 }
eZ\Publish\API\Repository\Values\ContentType\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:36
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\Content
Definition: Publish/API/Repository/Values/Content/Content.php:21
eZ\Publish\API\Repository\Values\Content\Location
Definition: API/Repository/Values/Content/Location.php:32
eZ\Publish\Core\REST\Common\Value
Definition: Core/REST/Common/Value.php:10
eZ\Publish\Core\REST\Server\Values\RestContent
REST Content, as received by /content/objects/<ID>.
Definition: Values/RestContent.php:21
eZ\Publish\Core\REST\Server\Values\RestContent\$contentInfo
$contentInfo
Definition: Values/RestContent.php:23
eZ\Publish\Core\REST\Server\Values\RestContent\$path
$path
Definition: Values/RestContent.php:42
eZ\Publish\Core\REST\Server\Values\RestContent\__construct
__construct(ContentInfo $contentInfo, Location $mainLocation=null, Content $currentVersion=null, ContentType $contentType=null, array $relations=null, $path=null)
Construct.
Definition: Values/RestContent.php:54
eZ\Publish\Core\REST\Server\Values\RestContent\$relations
$relations
Definition: Values/RestContent.php:35
eZ\Publish\Core\REST\Server\Values\RestContent\$currentVersion
$currentVersion
Definition: Values/RestContent.php:29
eZ\Publish\Core\REST\Server\Values\RestContent\$contentType
$contentType
Definition: Values/RestContent.php:32
eZ\Publish\Core\REST\Server\Values\RestContent\$mainLocation
$mainLocation
Definition: Values/RestContent.php:26
eZ\Publish\Core\REST\Server\Values
Definition: Core/REST/Server/Values/BookmarkList.php:9
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.